/**************************************************************************//**
 * @file     main.c
 * @version  V1.00
 * $Revision: 3 $
 * $Date: 15/02/13 2:19p $
 * @brief    A project template for Mini58 MCU.
 *
 * @note
 * Copyright (C) 2015 Nuvoton Technology Corp. All rights reserved.
*****************************************************************************/
#include <stdio.h>
#include "Mini58Series.h"
#include <string.h>
#include <stdlib.h>
#include <stdint.h>
#include "control_comm.h"
#include "hardware_init.h"
#include "BL55072A.h"
#include "CC2530_transparent_analyze.h"


Lcd_Status_Info_t  LCDShowTemp_state_t = {0X00,0,ON,0X14,10};
extern u8 task_num;
static void task_process(void)
{
    u8 i;

    for (i = 0; i < task_num; i++)                       // ????????
    {                                                    
        if(task_comps[i].task_switch == SWITCH_ON)       // ????
        {                                                
            if(task_comps[i].run_flag)                   //??0
            {                                            
                task_comps[i].task_hook();               // ???? 
                
                if(task_comps[i].run_flag != ALWAYS_RUN) // ????????(????????????)???????
                {
                    task_comps[i].run_flag = RUN_FLAG_0; // ???0
                }
            }
        }
    }   
}


int main()
{

    //SYS_Init();
	hardware_init();
	zero_check_init();
	
    while(1)
    {
        task_process();
    }

}

/*** (C) COPYRIGHT 2015 Nuvoton Technology Corp. ***/
